import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';

import { AppComponent } from './app.component';
import { HeaderComponent } from './components/header/header.component';
import { ConnectWalletComponent } from './components/connect-wallet/connect-wallet.component';
import { WorkflowStatusComponent } from './components/workflow-status/workflow-status.component';
import { VoterManagementComponent } from './components/voter-management/voter-management.component';
import { ProposalManagementComponent } from './components/proposal-management/proposal-management.component';
import { VotingSessionComponent } from './components/voting-session/voting-session.component';

@NgModule({
  declarations: [
    AppComponent,
    HeaderComponent,
    ConnectWalletComponent,
    WorkflowStatusComponent,
    VoterManagementComponent,
    ProposalManagementComponent,
    VotingSessionComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { } 